Disk ARchive: libdar::crit_not Class Reference

| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | Private Member Functions | List of all members
libdar::crit_not Class Reference
API

realises the negation of the criterium given in argument to its constructor More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

## Public Member Functions
| crit_not (const criterium &crit)
| crit_not (const crit_not &ref)
| crit_not (crit_not &&ref) noexcept
crit_not & | operator= (const crit_not &ref)
crit_not & | operator= (crit_not &&ref) noexcept
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method
virtual criterium * | clone () const override
| clone construction method
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default

## Protected Attributes
const criterium * | x_crit

## Private Member Functions
void | copy_from (const crit_not &ref)
void | destroy ()

## Detailed Description

realises the negation of the criterium given in argument to its constructor

Definition at line 497 of file criterium.hpp.

## Constructor & Destructor Documentation

## ◆ crit_not() [1/3]

libdar::crit_not::crit_not | ( | const criterium & | crit | ) |
| inline

Definition at line 500 of file criterium.hpp.

## ◆ crit_not() [2/3]

libdar::crit_not::crit_not | ( | const crit_not & | ref | ) |
| inline

Definition at line 501 of file criterium.hpp.

## ◆ crit_not() [3/3]

libdar::crit_not::crit_not | ( | crit_not && | ref | ) |
| inlinenoexcept

Definition at line 502 of file criterium.hpp.

## ◆ ~crit_not()

libdar::crit_not::~crit_not | ( |  | ) |
| inline

Definition at line 505 of file criterium.hpp.

## Member Function Documentation

## ◆ clone()

virtual criterium * libdar::crit_not::clone | ( |  | ) | const
| inlineoverridevirtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 508 of file criterium.hpp.

## ◆ destroy()

void libdar::crit_not::destroy | ( |  | ) |
| inlineprivate

Definition at line 515 of file criterium.hpp.

## ◆ evaluate()

virtual bool libdar::crit_not::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second ) const
| inlineoverridevirtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

Definition at line 507 of file criterium.hpp.

## ◆ operator=() [1/2]

crit_not & libdar::crit_not::operator= | ( | const crit_not & | ref | ) |
| inline

Definition at line 503 of file criterium.hpp.

## ◆ operator=() [2/2]

crit_not & libdar::crit_not::operator= | ( | crit_not && | ref | ) |
| inlinenoexcept

Definition at line 504 of file criterium.hpp.

## Member Data Documentation

## ◆ x_crit

const criterium* libdar::crit_not::x_crit
| protected

Definition at line 511 of file criterium.hpp.

The documentation for this class was generated from the following file:

- criterium.hpp